Skip to main content

PATCH Update Release

URL: {{server-url}}/api/v1/release/{{Release-Id}}

Example: http://172.16.11.160/api/v1/release/8

You can update the details of an existing release ticket by calling the above endpoint with the release ID. You have to pass the following key-values:

Header

KeyDescription
AuthorizationBearer {access token obtained after authorization}
Content-Typeapplication/json

Body

KeyValue TypeDescription
subject*StringSubject of the release.
startDate*longSet the start date and time when the release was initiated.
endDate*longSet the end date to resolve/close the release.
priorityNameStringShows the importance of the Release. Possible values are: Low, Medium, High, or Urgent.
urgencyNameStringMarks the Release as urgent. Possible values are: Low, Medium, High, or Urgent.
impactNameStringDescribes the effect of the Release. Possible values are: Low, On User, On Department, or On Business.
riskTypeNameStringMarks the type of risk involved in the Release. The possible values are: Low, Medium, or High.
releaseTypeNameStringMarks the type of release. The possible values are: Minor, Major, or Emergency.
categoryNameStringCategory name of the Release.
locationNameStringName of the Location where the Release is happening. Note that Location must exist with the same name.
tagsString ArrayAdditional identifiers attached to a ticket. It is a list that can contain n number of STRINGS.
departmentNameStringDepartment associated with the release.
assigneeEmailStringEmail address of the Assignee.
technicianGroupNameStringName of the technician group.
descriptionStringDescription about the release.
reasonTypeNameStringReason for the release. For example: Upgrade Existing, New Implementation.
releaseEngineerEmailStringEmail address of the Release Engineer.
releaseManagerEmailStringEmail address of the Release Manager.
qaManagerEmailStringEmail address of the QA Manager.
releaseReviewerEmailStringEmail address of the Release Reviewer.
businessServiceNamesString ArrayList of business services affected by this release.
customFieldObjectCustom field values for the release. For example: { "Dropdown 1": "value", "Multi-Select": [] }
fileAttachmentsObject ArrayReference file names of attachments for a Release. For example: [ { "refFileName": "abc", "realName": "xyz.pdf" } ]

Example (Request & Response)

Request

curl --location --request PATCH 'http://172.16.11.160/api/v1/release/8' \
--header 'Authorization: Bearer eyJraWQiOiJmbG90by1rZXktaWQiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJqZXJyeUBtb3RhZGF0YS5jb20iLCJ1c2VyX25hbWUiOiJ1dWlkMzYtZmNkMjA3MmItMzA5My00MDA1LWFjNWEtYjNkMzVlZGIxZWI3IiwiaXNzIjoiaHR0cDovLzE3Mi4xNi4xMS4xNjAvYXBpIiwibG9naW5fc291cmNlIjoiTk9STUFMX0xPR0lOIiwiY2xpZW50X2lkIjoiZmxvdG8td2ViLWFwcCIsImF1ZCI6ImZsb3RvLXdlYi1hcHAiLCJsb2dpbl9zc29faWQiOjAsIm5iZiI6MTc4MDA0MzA4NSwiZ3JhbnRfdHlwZSI6InBhc3N3b3JkIiwic2NvcGUiOlsiTk8tU0NPUEUiXSwiZXhwIjoxNzgwMjE1ODg1LCJsb2dpbl9tc3BfcG9ydGFsX2lkIjowLCJpYXQiOjE3ODAwNDMwODUsImp0aSI6IjZjODg1ZTBmLTUzZjctNGIxMi04ZmVhLTIzZjU0NDM4OTcwNyIsInRlbmFudElkZW50aWZpZXIiOiJhcG9sbyJ9.ImjyUr195fh1fNS88fwe9YPU6_zQ_hwUpDRxymyxO2ch3kxItvjis589AWQmGnPwDNGFip0mhIX1pqVEMpgY_WyJhGt_T6XyQD3-vA9WIrX8zcv4A6CWmomK6IUQGzUwv1J6ktlrxoNG9xeEAhxA3IwIGulMX7EpUpp_3D1l8d_VO1FvheP7IZdnK0e_eoRD9sRAxTj7fKqYmhN_4M69KKyUO1VIk3D0hRbeVizROI1arIkAGlhNj30RchqvsD8pt-JMEE8YjslFeNqAXeClyv7x9eZ-YgWfYVN0_zib_xWbJT8Jrym_h-j9zShRpm-ePro0uP6R-1ClFbb-2J0RkQ' \
--header 'Content-Type: application/json' \
--data-raw '{
"assigneeEmail": "jerry@motadata.com",
"tags": ["release"]

}'

Response

{
"id": 8,
"categoryName": "General",
"name": "REL-8",
"createdTime": 1780049526234,
"updatedTime": 1780050038765,
"departmentName": "HR",
"assigneeEmail": "jerry@motadata.com",
"customField": {
"New Text Input": ""
},
"statusName": "Requested",
"createdByName": "Jerry",
"subject": "New Software Release v8.7.4",
"requesterName": "Jerry",
"fileAttachments": [],
"requesterEmail": "jerry@motadata.com",
"description": "New software version with features, enhancements, and bug fixes.",
"tags": [
"release"
],
"locationName": "Asia",
"impactName": "On Users",
"priorityName": "Medium",
"urgencyName": "Low",
"updatedByName": "Jerry",
"solutionUpdatedTime": 0,
"createdTimeAt": "29/05/2026 03:42 pm",
"updatedTimeAt": "29/05/2026 03:50 pm",
"releaseEngineerEmail": "jerry@motadata.com",
"releaseManagerEmail": "shraddha.lal@motadata.com",
"qaManagerEmail": "shraddha.lal@motadata.com",
"releaseReviewerEmail": "jerry@motadata.com",
"riskTypeName": "Medium",
"releaseTypeName": "Major",
"reasonTypeName": "Upgrade Existing",
"startDate": 1777877700000,
"endDate": 1779951300000,
"impactFileAttachments": [],
"backoutPlanFileAttachments": [],
"rolloutPlanFileAttachments": [],
"buildPlanFileAttachments": [],
"testPlanFileAttachments": [],
"dueBy": "08/06/2026 03:42 pm",
"ccEmailSet": [],
"lastApprovedDate": 0,
"slaName": "tets"
}